# Command: MoveDirectory

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    MoveDirectory - Rename a directory

Synopsis:

    string1 string2 MoveDirectory -> boolean

Examples:

    (NewSubDir) (Other) MoveDirectory -> True, and ./NewSubDir
      is now called ./Other, provided it exists and is empty.

Description:

    MoveDirectory unlinks old directory name and links to
      the new name. This is only possible if this directory is empty.

Parameters:

    string1 : Name of old directory
      string2 : Name of new directory
      boolean : A flag if operation succeded.

Bugs:

    -

Remarks:

    This operator in fact only sequentially calls
      RemoveDirectory, MoveDirectory
      POSIX statet this would be the same operator like renaming
      a file, but that did not work.

Author:

    Hehl

FirstVersion:

    Oct 12th 1999

SeeAlso:

- FileNames
- MoveDirectory
- RemoveDirectory
- MoveFile

Source:

    /opt/conda/conda-bld/nest_1510213973486/work/nest-2.14.0/lib/sli/filesystem.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative